SearchByQueryParameter (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class SearchByQueryParameter

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.SearchByQueryParameter

- All Implemented Interfaces:
    Serializable

      public class SearchByQueryParameter
      extends Object
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchByQueryParameter()`
    `SearchByQueryParameter(Map<SearchType,List<String>> terms, SearchResultType searchResultType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchResultType` | `getSearchResultType()`
    `Map<SearchType,List<String>>` | `getTerms()`
    `void` | `setSearchResultType(SearchResultType searchResultType)`
    `void` | `setTerms(Map<SearchType,List<String>> terms)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchByQueryParameter

          public SearchByQueryParameter()

    - #### SearchByQueryParameter

          public SearchByQueryParameter(Map<SearchType,List<String>> terms,
                                SearchResultType searchResultType)

  - ### Method Detail

    - #### getSearchResultType

          public SearchResultType getSearchResultType()

    - #### getTerms

          public Map<SearchType,List<String>> getTerms()

    - #### setSearchResultType

          public void setSearchResultType(SearchResultType searchResultType)

    - #### setTerms

          public void setTerms(Map<SearchType,List<String>> terms)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.